Skip to content

Create a Webhook

Request

Creates a new webhook, consisting of a pushUrl and a event type. For a list of all possible types use the GET /api/sales-partners/subscribable-event-types.

Security
X-API-KEY or Authorization
Bodyapplication/jsonrequired

Webhook data to be created

pushUrlstringrequired

URL to receive webhooks

typestringrequired

Logging event type to subscribe to

Enum:"ADMIN_ALERT""AGENT_INIT""AGENT_PERSIST""AGENT_REPLAY""BRAND_DATA_POINT_REPLIED""BRAND_DATA_POINT_REPLIED_PENDING_APPROVAL""BRAND_DATA_POINT_REPLY_APPROVE""BRAND_DATA_POINT_REPLY_REJECT""BUSINESS_CHAIN_UPDATE""BUSINESS_CHANGED_SALES_PARTNER"
curl -i -X POST \
  https://uberall.com/api/sales-partners/webhooks \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE' \
  -d '{
    "pushUrl": "string",
    "type": "ADMIN_ALERT"
  }'

Responses

Successfully created webhook

Body*/*
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

Webhook Model

Response
{
  "status": "SUCCESS",
  "message": "string",
  "warnings": [
    "string"
  ],
  "response": {
    "id": 0,
    "dateCreated": "2019-08-24T14:15:22Z",
    "lastUpdated": "2019-08-24T14:15:22Z",
    "pushUrl": "string",
    "type": "ADMIN_ALERT"
  }
}